Page MenuHomePhabricator

Misplaced watchstar icon in desktop mobile beta
Closed, ResolvedPublic

Description

Visit https://en.m.wikipedia.org/wiki/Timeline_of_the_presidency_of_Barack_Obama_(2010)?mobileaction=beta on desktop browser and you'll see the following:

Notice the watchstar icon overlaps the title.

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 18 2016, 4:04 PM
bmansurov triaged this task as High priority.May 18 2016, 5:08 PM

@MBinder_WMF Do we tag bugs and regressions pulled into the sprint as unplanned sprint work or only unplanned tasks?

@Jhernandez To keep it simple, we tag anything that enters the sprint after the sprint starts. In response to your question, I think there could be a case made for not tagging tasks that are, say, bugs that are part of an already-planned task. That would be like the estimation conversation we had on email regarding estimating bugs. I don't think this team tends to track that type of work though; it usually just uses the existing ticket.

The task description is misleading. I think this is due to the heading not having correct width not due to the watchstar being in the wrong place.

Change 289701 had a related patch set uploaded (by Jdlrobson):
Add a gutter for header to avoid page action overlap

https://gerrit.wikimedia.org/r/289701

Jdlrobson renamed this task from Misplaced watchstar icon to Misplaced watchstar icon in desktop mobile beta.May 19 2016, 9:11 PM
Jdlrobson lowered the priority of this task from High to Normal.

Given it only impacts desktop viewers of mobile beta I have dropped priority.

Technically, the change LGTM. However, with an extraordinarily long title, it would result in the following layout on, for example, an iPad:

/cc @Nirzar

phuedx updated the task description. (Show Details)May 20 2016, 10:00 AM

Can you take the screenshot again with the box model highlights? It looks to me like 'really' would overlap the watchstar if it was on the same line so I'm not sure what you would expect it to do in this situation instead.

@Nirzar, does this look good to you?

phuedx changed the task status from Open to Stalled.May 24 2016, 9:13 AM

After some analysis I really don't think this is worth any more effort without sitting down and discussing and estimating. We may want to revisit this before we ship the new language switcher.

@Jdlrobson @dr0ptp4kt This is in Code Review, so presumably work has been done on it. Can we split off the remaining work into a followup task? I think that would be better than stopping completely at this point.

Change 290901 had a related patch set uploaded (by Phuedx):
[WIP] Wrap heading around actions at tablet widths

https://gerrit.wikimedia.org/r/290901

phuedx added a comment.EditedMay 26 2016, 9:21 AM

With 290901: WIP Wrap heading around actions at tablet widths checked out, I see the following:

/cc @Nirzar

@mbinder, are you suggesting we close this task and then create a separate task to capture whatever it is that we now better understand we're trying to achieve? I'm fine with that. @Jdlrobson okay? You able to spec the criteria in a task and, assuming it's related to lang switching, make it a blocking subtask of that?

I've reviewed @phuedx patch and I think it is a good solution that works great.

I don't think there's a need to subtask it and all that, keep it in code review until the current patch and the followup have been reviewed and merged or abandoned.

There's time in the sprint to resolve this.

@Jdlrobson @bmansurov Have a pass at @phuedx followup, I think it's good to go.

Jhernandez removed Nirzar as the assignee of this task.May 26 2016, 11:45 AM

I've merged both, moving to signoff.

If there are any concerns we can revert or followup before Tuesday.

Change 289701 merged by jenkins-bot:
Add a gutter for header to avoid page action overlap

https://gerrit.wikimedia.org/r/289701

Change 290901 merged by jenkins-bot:
Wrap heading around actions at tablet widths

https://gerrit.wikimedia.org/r/290901

Jdlrobson closed this task as Resolved.May 26 2016, 8:24 PM
Jdlrobson claimed this task.